#include <iostream>
#include "video.h"
#include "fuente.h"

void Fuente::mostrarTexto(Video *v, const char* frase, int x, int y, int r, int g, int b)
{
  // Rellenamos el color
  color.r = r;
  color.g = g;
  color.b = b;

  //Renderizamos
  texto = TTF_RenderText_Blended(fuente, frase, color);

  // Posicionamos
  posicion.x = x;
  posicion.y = y;
  posicion.h = texto->h;
  posicion.w = texto->w;

  // Mostramos
  SDL_BlitSurface(texto, NULL, v->superficie(), &posicion);
}

