#include <iostream>
#include "video.h"

using namespace std;

Video::Video(int anc, int alt, int prof, bool full): ancho(anc), alto(alt), profundidad(prof)
{
  SDL_WM_SetCaption("FREERUMMI", NULL);

  if (full) {
    if (SDL_VideoModeOK(anc, alt, prof, SDL_HWSURFACE|SDL_DOUBLEBUF|SDL_FULLSCREEN) == 0) {
      cerr << "Modo no soportado: " << SDL_GetError() << endl;
      exit(1);
    }

    pantalla = SDL_SetVideoMode(anc, alt, prof, SDL_HWSURFACE|SDL_DOUBLEBUF|SDL_FULLSCREEN);
  }

  else {
    if (SDL_VideoModeOK(anc, alt, prof, SDL_HWSURFACE|SDL_DOUBLEBUF) == 0) {
      cerr << "Modo no soportado: " << SDL_GetError() << endl;
      exit(1);
    }

    pantalla = SDL_SetVideoMode(anc, alt, prof, SDL_HWSURFACE|SDL_DOUBLEBUF);
  }
      if (pantalla == NULL) {
	cerr << "No se pudo establecer el modo de video: " << SDL_GetError() << endl;
	exit(1);
      }
}


