#ifndef _CONSTANTES_H_
#define _CONSTANTES_H_

// Dimensiones de la ficha:
const int FICHA_W = 32;
const int FICHA_H = 46;

// Posiciones del monton: 
const int MONTON_X = 32; // Posicion x
const int MONTON_Y = 598; // Posicion y
const int MONTON_XW = 224; // Posicion x + ancho
const int MONTON_YH = 736; // Posicion y + alto

// Posiciones del soporte:
const int SOPORTE_X = 256; // Posicion x
const int SOPORTE_Y = 598; // Posicion y
const int SOPORTE_XW = 768; // Posicion x + ancho
const int SOPORTE_YH = 768; // Posicion y + alto

const int CAPACIDAD = 28; // Capacidad del soporte

// Posiciones del area de las fichas en el soporte:
const int SOP_FICH_X = 288; // Posicion x
const int SOP_FICH_Y = 644; // Posicion y
const int SOP_FICH_XW = 736; // Posicion x + ancho
const int SOP_FICH_YH = 736; // Posicion y + alto

// Posiciones del area del tablero:
const int TABLERO_X = 96;
const int TABLERO_Y = 46;
const int TABLERO_XW = 928;
const int TABLERO_YH = 552;

const int FILAS = 11;
const int COLUMNAS = 26;

// Posiciones del cronometro:
const int CRONOMETRO_X = 940;
const int CRONOMETRO_Y = 30;
const int CRONOMETRO_XW = 1020;
const int CRONOMETRO_YH = 110;

// Posiciones del area del boton comprobar:
const int COMPROBAR_X = 448;
const int COMPROBAR_Y = 598;
const int COMPROBAR_XW = 576;
const int COMPROBAR_YH = 622;

// Posiciones del area del boton ordenar por color:
const int ORD_COL_X = 290;
const int ORD_COL_Y = 598;
const int ORD_COL_XW = 419;
const int ORD_COL_YH = 622;

// Posiciones del area del boton ordenar por numero:
const int ORD_NUM_X = 606;
const int ORD_NUM_Y = 598;
const int ORD_NUM_XW = 735;
const int ORD_NUM_YH = 622;

// Menu Principal:
const int JUGAR_X = 96;
const int JUGAR_Y = 92;
const int JUGAR_XW = 416;
const int JUGAR_YH = 184;

const int JUGADORES_X = 96;
const int JUGADORES_Y = 230;
const int JUGADORES_XW = 672;
const int JUGADORES_YH = 322;

const int SALIR_X = 96;
const int SALIR_Y = 368;
const int SALIR_XW = 416;
const int SALIR_YH = 460;

// Menu Jugar:
const int SIMPLE_X = 96;
const int SIMPLE_Y = 92;
const int SIMPLE_XW = 480;
const int SIMPLE_YH = 184;

const int CONCURSO_X = 96;
const int CONCURSO_Y = 230;
const int CONCURSO_XW = 608;
const int CONCURSO_YH = 322;

const int VOLVER_X = 96;
const int VOLVER_Y = 368;
const int VOLVER_XW = 480;
const int VOLVER_YH = 460;

// Menu Jugadores:
const int VER_X = 96;
const int VER_Y = 92;
const int VER_XW = 288;
const int VER_YH = 184;

const int BORRAR_X = 96;
const int BORRAR_Y = 230;
const int BORRAR_XW = 480;
const int BORRAR_YH = 322;

// Menu Seleccion de jugadores:
const int INC_X = 450;
const int INC_Y = 90;
const int INC_XW = 480;
const int INC_YH = 130;

const int DEC_X = 360;
const int DEC_Y = 90;
const int DEC_XW = 390;
const int DEC_YH = 130;

// Altavoz MUTE:
const int ALTAVOZ_X = 20;
const int ALTAVOZ_Y = 20;
const int ALTAVOZ_XW = 45;
const int ALTAVOZ_YH = 60;

// Confirmar:
const int CONFIRMAR_X = 700;
const int CONFIRMAR_Y = 350;
const int CONFIRMAR_XW = 800;
const int CONFIRMAR_YH = 450;

// Cancelar:
const int CANCELAR_X = 845;
const int CANCELAR_Y = 350;
const int CANCELAR_XW = 945;
const int CANCELAR_YH = 450;

#endif
