#include <iostream>
#include "iniciado.h"
#include "puntero.h"
#include "video.h"
#include "jugador.h"
#include "partida.h"
#include "monton.h"
#include "menu.h"
#include "gestorPartida.h"
#include "gestorJugadores.h"
#include "juego.h"

using namespace std;

Juego::Juego()
{
  int opc, opcJ, opcO;

  Iniciado i;

  Video *v = new Video(1024, 768, 32);

  Menu m;
  GestorPartida g;
  GestorJugadores j;

  do {
    opc = m.menuPpal(v);
  switch (opc)
    {
    case 1:
      opcJ = m.menuJugar(v);
      switch (opcJ)
	{
	case 1: g.partidaSimple(v);
	  break;
	case 2: g.concurso(v);
	  break;
	case 3: //cout << "Volviendo atrás" << endl;
	  break;
	default: //cout << "Error: opcion inexistente" << endl;
	  break;
	}
      break;
    case 2:
      opcO = m.menuJugadores(v);
      switch(opcO)
	{
	case 1: j.ver(v); 
	  break;
	case 2: j.borrar(v); 
	  break;
	case 3: //cout << "Volviendo atras" << endl;
	  break;
	default: //cout << "Error: opcion inexistente" << endl;
	  break;
	}
      break;
    case 3:
      //cout << "Gracias por jugar" << endl;
      break;
    default: 
      //cout << "Error: opcion inexistente" << endl;
      break;
    }
  } while (opc != 3);
}

